package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class ComboDisposizioni.
 * @see sicura.entities.ComboDisposizioni
 * @author Hibernate Tools
 */
@Stateless
public class ComboDisposizioniHome {

	private static final Log log = LogFactory.getLog(ComboDisposizioniHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(ComboDisposizioni transientInstance) {
		log.debug("persisting ComboDisposizioni instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(ComboDisposizioni persistentInstance) {
		log.debug("removing ComboDisposizioni instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public ComboDisposizioni merge(ComboDisposizioni detachedInstance) {
		log.debug("merging ComboDisposizioni instance");
		try {
			ComboDisposizioni result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public ComboDisposizioni findById(Integer id) {
		log.debug("getting ComboDisposizioni instance with id: " + id);
		try {
			ComboDisposizioni instance = entityManager.find(ComboDisposizioni.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
